@import 'src/components/rem';

.base {
    display: inline-flex;
    align-items: center;
    white-space: nowrap;
    color: var(--color-gray-600);

    svg {
        margin-right: rem(6px);

        * {
            fill: var(--color-gray-600);
        }
    }

    .text:first-letter {
        text-transform: uppercase;
    }

    &.info {
        color: var(--color-gray-600);

        svg {
            * {
                fill: var(--color-gray-600);
            }
        }
    }

    &.success {
        color: var(--color-green-700);

        svg {
            * {
                fill: var(--color-green-700);
            }
        }
    }

    &.warning {
        color: var(--color-yellow-700);

        svg {
            * {
                fill: var(--color-yellow-700);
            }
        }
    }

    &.danger {
        color: var(--color-red-700);

        svg {
            * {
                fill: var(--color-red-700);
            }
        }
    }
}
